import { createReducer } from '@reduxjs/toolkit';
import { actionIsOpen } from '../action';
import { IControlAppState,IPayloadIsOpen } from '../../../typescript/redux/controlApp/interfaces'

const initialState:IControlAppState = {
  isOpen: '',
}

const reducerControlApp = createReducer(initialState, {
  [actionIsOpen.type]: (state, { payload:isOpen }:IPayloadIsOpen) => {
    return {...state,isOpen}
  },
});

export default reducerControlApp;
